#!/usr/bin/env python
# -*- coding: utf-8 -*-

# # 2A.soft - Custom Magics for Jupyter
# 
# The following example shows how to define custom logic to your notebooks. You will find more details here: [Defining your own magics](http://ipython.readthedocs.io/en/stable/config/custommagics.html?defining-custom-magics). It works pretty simple. I just defined the magic commands ``%ENSAEl``, ``%%ENSAEb`` and both ``%ENSAE``, ``%%ENSAE``.

# In[1]:


get_ipython().run_line_magic('load_ext', 'ensae_teaching_cs.td_2a.custom_magics')


# The code of ``ENSAEl`` is available on [ensae_teaching_cs/td_2a/custom_magics.py](https://github.com/sdpython/ensae_teaching_cs/blob/master/src/ensae_teaching_cs/td_2a/custom_magics.py#L17).

# In[2]:


get_ipython().run_line_magic('ENSAEl', 'site')


# The code of ``ENSAE`` is also available on [ensae_teaching_cs/td_2a/custom_magics.py](https://github.com/sdpython/ensae_teaching_cs/blob/master/src/ensae_teaching_cs/td_2a/custom_magics.py#L47).

# In[3]:


get_ipython().run_line_magic('ENSAE', 'blog')


# You can download a file:

# In[4]:


get_ipython().run_line_magic('ENSAE', 'download stations.txt')


# Will you be able to make yours?

# In[5]: